/**
 * Book  (full display of book content type)
 * Library book used in
 * - node--book--full.html.twig
 */


/**
 * Global style
 */
.book .book__outer {
  background: rgb(226,226,233);
  background: linear-gradient(180deg, rgba(226,226,233,1) 35%, rgba(249,249,251,1) 35%);
  padding-top:  3rem;
  margin-bottom: 2rem;
}
.book .book__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.book__content {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.book__content > div:last-child {
  margin-bottom: 3rem;
}
.book__description {
  margin-top: 1rem;
}
.book__title {
  margin-top: 1.5rem;
  font-size: 2rem;
  line-height: 150%;
}
.book__title--small-trim {
  font-size: 1.5rem;
}
.book__title--large-trim {
  font-size: 1.2rem;
}
.book__author,
.book__author a {
  font-family: 'Raleway', sans-serif;
  color: var(--color-primary--1);
  font-weight: 600;
  font-size: 1.5rem;
}
.book__breadcrumb--mobile {
  display: block;
  align-self: flex-start;
  margin-bottom: 1.5rem;
}
.book__breadcrumb--desktop {
  display: none;
}
.book__image-wrapper {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.book__image-secondary {
  display: flex;
  justify-content: space-between;
}
.book__pins {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}
.book__pin a,
.book__pin--theme {
  color: var(--color-primary--2);
  padding: 0.5rem 0.75rem;
  background-color: var(--color-primary--5);
  border-radius: 3px;
  width: fit-content;
  font-size: 0.75rem;
  transition: all ease-in-out 150ms;
  display: block;
}
.book__pin a:hover {
  background-color: var(--color-primary--4);
}
.book__cover a {
  font-family: 'Raleway', sans-serif;
  color: var(--color-primary--1);
}
.book__cover::before {
  font-family: 'Raleway', sans-serif;
  content: '>';
  display: inline-block;
  text-decoration: none;
  color: var(--color-secondary--2);
  font-weight: 800;
}
.book__cover a:hover {
  text-decoration: underline;
}
.book__cover span {
  font-family: 'Merriweather', sans-serif;
  display: inline-block;
  text-decoration: none;
  font-weight: 400;
}
.book__excerpt,
.book__cover {
  margin-top: 1rem;
}
.book__informations {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  margin-bottom: 4rem;
}
.book__block {
  background-color: var(--color-primary--6);
  padding: 2rem;
  border-radius: 3px;
  flex: 1;
  height: fit-content;
}
.book__technical-sheet {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.book__technical-sheet-content p {
  margin: 0;
  font-weight: 700;
}
.book__technical-sheet-content p span {
  font-weight: 400;
}
.book__technical-sheet-tilte,
.book__about-author-name {
  font-family: 'Raleway', sans-serif;
  font-weight: 800;
  color: var(--color-primary--1);
  font-size: 1.5rem;
  margin: 0;
}
.book__about-author-description {
  color: var(--color-primary--2);
}
.book__about-author-wrapper--multiple .book__about-author-name {
  font-size: 1.2rem;
}
a.book__about-author-more {
  font-family: 'Raleway', sans-serif;
  color: var(--color-primary--1);
}
a.book__about-author-more::before {
  font-family: 'Raleway', sans-serif;
  content: '>';
  display: inline-block;
  text-decoration: none;
  color: var(--color-secondary--2);
  font-weight: 800;
}
a.book__about-author-more:hover {
  text-decoration: underline;
}
.book__about-author-wrapper {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.book__about-author-wrapper p {
  margin: 0;
}
.book__about-author-more {
  align-self: flex-end;
}
.book__about-author-wrapper--multiple:not(:first-child){
  margin-top: 1rem;
}
.book__quote {
  background-color: var(--color-primary--2);
  padding: 2rem 0;
  margin-bottom: 3rem;
}
@media all and (min-width: 750px){
  .book__quote  {
    margin-bottom: 6rem;
  }
}
.book__quote .book__quote-wrapper {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.book__quote p,
.book__quote a {
  margin: 0;
  color: var(--color-neutral);
}
.book__quote a {
  text-decoration: underline;
}
.book_quote-primary {
  position: relative;
}
.book_quote-primary::before {
  content: '';
  position: absolute;
  display: block;
  background-image: url("/themes/custom/editionsprivat/images/icons/quote.svg");
  background-position: center;
  background-size: contain;

  top: 0;
  left: -120px;
}
.book_quote-primary::after {
  content: '';
  position: absolute;
  display: block;
  background-image: url("/themes/custom/editionsprivat/images/icons/quote.svg");
  transform: rotate(180deg);
  background-position: center;
  background-size: contain;

  bottom: 0;
  right: -120px;
}
.book__quote .book_quote-primary p {
  font-family: 'Raleway', sans-serif;
  font-style: italic;
  font-size: 1.5rem;
  font-weight: 800;
}
.book__quote .book_quote-secondary {
  align-self: flex-end;
}
.book__quote .book_quote-secondary p {
  font-style: normal;
}
@media all and (min-width: 500px){
  .book__image-wrapper {
    flex-direction: row;
  }
  .book__image-secondary {
    flex-direction: column;
  }
}

@media all and (min-width: 750px){
  .book__content > div:last-child {
    margin-bottom: unset;
  }
  .book__breadcrumb--mobile {
    display: none;
  }
  .book__breadcrumb--desktop {
    display: block;
  }
  .book__title {
    font-size: 3rem;
  }
  .book__title--small-trim {
    font-size: 2.3rem;
  }
  .book__title--large-trim {
    font-size: 1.5rem;
  }
  .book__author,
  .book__author a {
    font-size: 2rem;
  }
  .book .book__outer {
    padding: 4rem 0;
    background: rgb(226,226,233);
    background: linear-gradient(90deg, rgba(226,226,233,1) 43.125%, rgba(249,249,251,1) 43.125%);
    margin-bottom: 8rem;
  }
  .book .book__inner {
    flex-direction: row;
    gap: 2rem;
    align-items: flex-start;
  }
  .book__title {
    margin-top: 0;
  }
  .book__image-wrapper,
  .book__content {
    width: 50%;
  }
  .book__image-wrapper {
    gap: 2rem;
    flex-direction: column;
    position: relative;
    min-height: 450px;
  }
  .book__image-primary {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-primary--4);
    padding: 2.563rem;
    border-radius: 3px;
  }
  .book__image-secondary {
    flex-direction: row;
    position: absolute;
    bottom: -36%;
    left: 0;
    right: 0;
  }
  .book__image-secondary .book__image {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-primary--4);
    padding: 0.6rem 1rem;
    border-radius: 3px;
  }
  .book__informations {
    flex-direction: row;
  }
  .book__technical-sheet-tilte,
  .book__about-author-name {
    font-size: 2rem;
  }
  .book__about-author-wrapper--multiple .book__about-author-name {
    font-size: 1.5rem;
  }
  .book__quote {
    padding: 4rem 0;
  }
  .book__quote .book_quote-primary p {
    font-size: 3rem;
  }
  .book__quote .book_quote-wrapper {
    gap: 4rem;
  }
  .book_quote-primary::after {
    bottom: -10px;
    right: -20px;
    width: 40px;
    height: 40px;
  }
  .book_quote-primary::before {
    top: -48px;
    left: -20px;
    width: 40px;
    height: 40px;
  }
}
@media all and (min-width: 1000px) {
  .book_quote-primary::after {
    bottom: 0;
    right: -120px;
    width: 59px;
    height: 59px;
  }
  .book_quote-primary::before {
    top: 0;
    left: -120px;
    width: 59px;
    height: 59px;
  }
}

@media all and (min-width: 1200px){
  .book__image-secondary .book__image {
    padding: 0.875rem 2rem;
  }
}
@media all and (min-width: 1500px){
  .book__image-secondary .book__image {
    padding: 0.875rem 3.438rem;
  }
}


/**
 * Book pins color
 */

.book__pin--color-heritage a {
  background-color: var(--color-heritage--1);
  color: var(--color-heritage--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-heritage a:hover {
  background-color: var(--color-heritage--2);
  color: var(--color-neutral);
}
.book__pin--color-news a {
  background-color: var(--color-news--1);
  color: var(--color-news--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-news a:hover {
  background-color: var(--color-news--2);
  color: var(--color-neutral);
}
.book__pin--color-culture a {
  background-color: var(--color-culture--1);
  color: var(--color-culture--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-culture a:hover {
  background-color: var(--color-culture--2);
  color: var(--color-neutral);
}
.book__pin--color-youth a {
  background-color: var(--color-youth--1);
  color: var(--color-youth--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-youth a:hover {
  background-color: var(--color-youth--2);
  color: var(--color-neutral);
}
.book__pin--color-fictions a {
  background-color: var(--color-fictions--1);
  color: var(--color-fictions--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-fictions a:hover {
  background-color: var(--color-fictions--2);
  color: var(--color-neutral);
}
.book__pin--color-history a {
  background-color: var(--color-history--1);
  color: var(--color-history--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-history a:hover {
  background-color: var(--color-history--2);
  color: var(--color-neutral);
}
.book__pin--color-space a {
  background-color: var(--color-space--1);
  color: var(--color-space--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-space a:hover {
  background-color: var(--color-space--2);
  color: var(--color-neutral);
}
.book__pin--color-sport a {
  background-color: var(--color-sport--1);
  color: var(--color-sport--3);
  transition: all ease-in-out 150ms;
}
.book__pin--color-sport a:hover {
  background-color: var(--color-sport--2);
  color: var(--color-neutral);
}


/**
 * Img gallery
 */

.book__image-primary-item.active {
  display: block;
  cursor: pointer;
}
.book__image-primary-item {
  display: none;
}
.book__image-secondary-item {
  cursor: pointer;
}
.book__image-secondary-item:hover {
  outline: solid 1px var(--color-primary--3);
}
.book__image-secondary-item.active {
  outline: solid 3px var(--color-primary--3);
}
